import request from '@/config/axios'

// 发送验证码
export const sendSmsCode = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/auth/send-sms-code',
    data
  })
}

// 验证码登录
export const smsLogin = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/auth/sms-login',
    data
  })
}


// 密码登录
export const passwordLogin = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/auth/login',
    data
  })
}

// 退出登录
export const logout = async () => {
  return await request.post({
    url: '/app-api/menduner/system/auth/logout'
  })
}


// 修改密码
export const updatePassword = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/mde-user/update-password',
    data
  })
}

// 重置密码
export const resetPassword = async (data) => {
  return await request.post({
    url: '/admin-api/menduner/system/mde-user/update-password',
    data
  })
}