import { watch, ref } from 'vue'
import { isString } from '@/utils/is'
import { useAppStore } from '@/store/app'
import { useI18n } from './useI18n'


export const useTitle = (newTitle) => {
  const appStore = useAppStore()
  const { t } = useI18n()
  const title = ref(
    newTitle ? `${appStore.title} - ${t(newTitle)}` : appStore.title
  )

  watch(
    title,
    (n, o) => {
      if (isString(n) && n !== o && document) {
        document.title = n
      }
    },
    { immediate: true }
  )

  return title
}
