import { defineStore } from 'pinia'
import { ref } from 'vue' 


export const useAppStore = defineStore('app', 
  () => {
    const title = ref(import.meta.env.VITE_APP_TITLE) // 标题

    const setTitle = (txt) => {
      title.value = txt
    }
    return {
      title,
      setTitle
    }
  },
  {
    persist: true, // ref() 持久化响应
  }
)